"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveExperimentModel = exports.saveServiceConfigurationModel = exports.saveParticipantModel = exports.savePeerconnectionModel = exports.saveRoleModel = exports.saveDeviceModel = void 0;
const repositories_1 = require("../repositories");
/**
 * This function attempts to save a device model in its correct repository.
 * @param deviceModel The device model to be saved.
 */
async function saveDeviceModel(_requestHandler, deviceModel) {
    await repositories_1.deviceRepository.save(deviceModel);
}
exports.saveDeviceModel = saveDeviceModel;
/**
 * This function attempts to save a role model in its correct repository.
 * @param roleModel The role model to be saved.
 */
async function saveRoleModel(_requestHandler, roleModel) {
    await repositories_1.roleRepository.save(roleModel);
}
exports.saveRoleModel = saveRoleModel;
/**
 * This function attempts to save a peerconnection model in its correct repository.
 * @param peerconnectionModel The peerconnection model to be saved.
 */
async function savePeerconnectionModel(_requestHandler, peerconnectionModel) {
    await repositories_1.peerconnectionRepository.save(peerconnectionModel);
}
exports.savePeerconnectionModel = savePeerconnectionModel;
/**
 * This function attempts to save a participant model in its correct repository.
 * @param participantModel The participant model to be saved.
 */
async function saveParticipantModel(_requestHandler, participantModel) {
    await repositories_1.participantRepository.save(participantModel);
}
exports.saveParticipantModel = saveParticipantModel;
/**
 * This function attempts to save a service configuration model in its correct repository.
 * @param serviceConfigurationModel The service configuration model to be saved.
 */
async function saveServiceConfigurationModel(_requestHandler, serviceConfigurationModel) {
    await repositories_1.serviceConfigurationRepository.save(serviceConfigurationModel);
}
exports.saveServiceConfigurationModel = saveServiceConfigurationModel;
/**
 * This function attempts to save an experiment model in its correct repository.
 * @param experimentModel The experiment model to be saved.
 */
async function saveExperimentModel(_requestHandler, experimentModel) {
    await repositories_1.experimentRepository.save(experimentModel);
}
exports.saveExperimentModel = saveExperimentModel;
//# sourceMappingURL=save.js.map